cURL
curl --request GET \ --url https://api.wizcommerce.com/v1/customers/{customer_id}/addresses/{address_id} \ --header 'X-API-Key: <api-key>'
{ "data": { "id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed", "customer_id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed", "reference_id": "ADDR123", "address_line_1": "123 Main St", "address_line_2": "Apt 101", "city": "Anytown", "state": "CA", "country": "USA", "zip_code": "12345", "first_name": "John", "last_name": "Doe", "phone": "+14155552671", "email": "john.doe@example.com", "type": "billing", "status": "active", "is_default": false, "attributes": [ { "id": "01f5d171-d3e3-4b2b-bd57-0727194b5bed", "name": "Color", "value": "Red", "created_by": "01f5d171-d3e3-4b2b-bd57-0727194b5bed", "updated_by": "01f5d171-d3e3-4b2b-bd57-0727194b5bed", "created_at": "2021-01-01T00:00:00Z", "updated_at": "2021-01-01T00:00:00Z" } ], "created_at": "2025-01-01T15:04:05Z", "updated_at": "2025-01-01T15:04:05Z" } }
Get Address By ID
Documentation IndexFetch the complete documentation index at: https://docs.wizcommerce.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.wizcommerce.com/llms.txt
Use this file to discover all available pages before exploring further.
API Key for authentication
customer_id
address_id
OK
Show child attributes
Was this page helpful?